# workspace  values := { "Business Modeler", "Designer", "Developer", "Programmer" }

workspace.Business Modeler.editorOnProjectOpen = false
workspace.Designer.editorOnProjectOpen = true
workspace.Developer.editorOnProjectOpen = true
workspace.Programmer.editorOnProjectOpen = true

workspace.Business Modeler.diagramOnProjectOpen = true
workspace.Designer.diagramOnProjectOpen = true
workspace.Developer.diagramOnProjectOpen = true
workspace.Programmer.diagramOnProjectOpen = false

workspace.Business Modeler.messagePaneOnProjectOpen = false
workspace.Designer.messagePaneOnProjectOpen = false
workspace.Developer.messagePaneOnProjectOpen = false
workspace.Programmer.messagePaneOnProjectOpen = true

# Recognize JavaBeans/C++ properties
workspace.Business Modeler.main_toolbar._recognizeJavaBeans = false
workspace.Designer.main_toolbar._recognizeJavaBeans = true
workspace.Developer.main_toolbar._recognizeJavaBeans = true
workspace.Programmer.main_toolbar._recognizeJavaBeans = true

workspace.Business Modeler.main_toolbar._recognizeCPPProperties = false
workspace.Designer.main_toolbar._recognizeCPPProperties = true
workspace.Developer.main_toolbar._recognizeCPPProperties = true
workspace.Programmer.main_toolbar._recognizeCPPProperties = true

#main menu content
workspace.Business Modeler.main_menu._newProject = false
workspace.Business Modeler.main_menu._projectProperties = false
workspace.Business Modeler.main_menu._insertFileAsText= false
workspace.Business Modeler.main_menu._goToLineNumber= false
workspace.Business Modeler.main_menu._generateDdl= false
workspace.Business Modeler.main_menu._compileDebug= false
workspace.Business Modeler.main_menu._compileRelease= false
workspace.Business Modeler.main_menu._make= false
workspace.Business Modeler.main_menu._build= false
workspace.Business Modeler.main_menu._debug= false
workspace.Business Modeler.main_menu._recognizeJavaBeans= false
workspace.Business Modeler.main_menu._recognizeCPPProperties= false
workspace.Business Modeler.main_menu._synchronizeWithExternalChanges= false
workspace.Business Modeler.main_menu._textPane= false
workspace.Business Modeler.main_menu._selectTextPane= false
#end of main menu content

#inspector content
workspace.Business Modeler.beans_page_in_inspector = false
workspace.Designer.beans_page_in_inspector = true
workspace.Developer.beans_page_in_inspector = true
workspace.Programmer.beans_page_in_inspector = true

workspace.Business Modeler.ejb_page_in_inspector = false
workspace.Designer.ejb_page_in_inspector = true
workspace.Developer.ejb_page_in_inspector = true
workspace.Programmer.ejb_page_in_inspector = true
#end of inspector content

#navigator content
workspace.Business Modeler.model_page = true
workspace.Designer.model_page= true
workspace.Developer.model_page = true
workspace.Programmer.model_page = true

workspace.Business Modeler.modules_page = false
workspace.Designer.modules_page= true
workspace.Developer.modules_page = true
workspace.Programmer.modules_page = true

workspace.Business Modeler.VFSNavigator.drives = false
workspace.Designer.VFSNavigator.drives = true
workspace.Developer.VFSNavigator.drives = true
workspace.Programmer.VFSNavigator.drives = true

workspace.Business Modeler.VFSNavigator.templates = false
workspace.Designer.VFSNavigator.templates = true
workspace.Developer.VFSNavigator.templates = true
workspace.Programmer.VFSNavigator.templates = true

#end of navigator content

workspace.Business Modeler.debugger = false
workspace.Designer.debugger = false
workspace.Developer.debugger = true
workspace.Programmer.debugger = true

workspace.Business Modeler.qa = false
workspace.Designer.qa = true
workspace.Developer.qa = true
workspace.Programmer.qa = true

workspace.Business Modeler.diagram.toolbar.Interface = false
workspace.Designer.diagram.toolbar.Interface = true
workspace.Developer.diagram.toolbar.Interface = true
workspace.Programmer.diagram.toolbar.Interface = true

workspace.Business Modeler.diagram.toolbar.Dependency = false
workspace.Designer.diagram.toolbar.Dependency = true
workspace.Developer.diagram.toolbar.Dependency = true
workspace.Programmer.diagram.toolbar.Dependency = true

workspace.Business Modeler.diagram.toolbar.Link by Pattern = false
workspace.Designer.diagram.toolbar.Link by Pattern = true
workspace.Developer.diagram.toolbar.Link by Pattern = true
workspace.Programmer.diagram.toolbar.Link by Pattern = true

workspace.Business Modeler.diagram.toolbar.EJB buttons = false
workspace.Designer.diagram.toolbar.EJB buttons = true
workspace.Developer.diagram.toolbar.EJB buttons = true
workspace.Programmer.diagram.toolbar.EJB buttons = true


workspace.Business Modeler.Options.ejb = false
workspace.Designer.Options.ejb = true
workspace.Developer.Options.ejb = true
workspace.Programmer.Options.ejb = true

workspace.Business Modeler.Options.Source Code = false
workspace.Designer.Options.Source Code = true
workspace.Developer.Options.Source Code = true
workspace.Programmer.Options.Source Code = true

workspace.Business Modeler.Options.Tools = false
workspace.Designer.Options.Tools = true
workspace.Developer.Options.Tools = true
workspace.Programmer.Options.Tools = true

workspace.Business Modeler.Options.Version Control = false
workspace.Designer.Options.Version Control = true
workspace.Developer.Options.Version Control = true
workspace.Programmer.Options.Version Control = true

workspace.Business Modeler.Options.Debugger = false
workspace.Designer.Options.Debugger = false
workspace.Developer.Options.Debugger = true
workspace.Programmer.Options.Debugger = true

workspace.Business Modeler.Options.Text Editor = false
workspace.Designer.Options.Text Editor = true
workspace.Developer.Options.Text Editor = true
workspace.Programmer.Options.Text Editor = true

workspace.Business Modeler.Options.Advanced = false
workspace.Designer.Options.Advanced = true
workspace.Developer.Options.Advanced = true
workspace.Programmer.Options.Advanced = true

workspace.Business Modeler.diagram.menu.Format Source = false
workspace.Designer.diagram.menu.Format Source = true
workspace.Developer.diagram.menu.Format Source = true
workspace.Programmer.diagram.menu.Format Source = true

workspace.Business Modeler.editor.menu.Format Source = false
workspace.Designer.editor.menu.Format Source = true
workspace.Developer.editor.menu.Format Source = true
workspace.Programmer.editor.menu.Format Source = true

workspace.Business Modeler.file.menu.Format Source = false
workspace.Designer.file.menu.Format Source = true
workspace.Developer.file.menu.Format Source = true
workspace.Programmer.file.menu.Format Source = true


workspace.Business Modeler.operation.menu.Choose Pattern = false
workspace.Designer.operation.menu.Choose Pattern = true
workspace.Developer.operation.menu.Choose Pattern = true
workspace.Programmer.operation.menu.Choose Pattern = true

workspace.Business Modeler.attribute.menu.Choose Pattern = false
workspace.Designer.attribute.menu.Choose Pattern = true
workspace.Developer.attribute.menu.Choose Pattern = true
workspace.Programmer.attribute.menu.Choose Pattern = true

workspace.Business Modeler.link.menu.Choose Pattern = false
workspace.Designer.link.menu.Choose Pattern = true
workspace.Developer.link.menu.Choose Pattern = true
workspace.Programmer.link.menu.Choose Pattern = true

workspace.Business Modeler.class.menu.Member by Pattern = false
workspace.Designer.class.menu.Member by Pattern = true
workspace.Developer.class.menu.Member by Pattern = true
workspace.Programmer.class.menu.Member by Pattern = true

workspace.Business Modeler.class.menu.abstract = false
workspace.Designer.class.menu.abstract= true
workspace.Developer.class.menu.abstract = true
workspace.Programmer.class.menu.abstract = true

workspace.Business Modeler.class.menu.visibility = false
workspace.Designer.class.menu.visibility= true
workspace.Developer.class.menu.visibility = true
workspace.Programmer.class.menu.visibility = true

workspace.Business Modeler.diagram.menu.Update Package Dependencies = false
workspace.Designer.diagram.menu.Update Package Dependencies= true
workspace.Developer.diagram.menu.Update Package Dependencies = true
workspace.Programmer.diagram.menu.Update Package Dependencies = true
